Skip to content
Developer

CRMCompanyCategory

CRM1 EndpointsCRM / CRMCompanyCategory

This method will get all CRMCompanyCategory Objects

GET/api/crm/crmcompanycategory

Query parameters

idstring
namestring
externalDescriptionstring
internalDescriptionstring
createdstring
updatedstring
searchStringstringtext to search for in the list
orderFieldNamestringname of the order field
orderFieldSortstringsorting modeAllowed: DESCASC
pageintegerpage of the list
pageSizeintegernumber of entries for each page
withMaxPageNumberstringreturns the number of pages available as a header if this is set

Responses

200Returns a list of CRMCompanyCategory objectsarray<CRMCompanyCategory>

Show fields (10)
  • idinteger

    Primary key of the company category. Internal ID.

  • namestring

    Name of the company category.

  • descriptionstring

    Description of the company category.

  • deletedboolean

    The category is deleted.

  • global_defaultboolean

    Default category for new companies.

  • enabled_customer_portalboolean

    Companies of this category may use the customer portal.

  • g_drive_root_dirstring

    Root folder in Google Drive for companies of this category.

  • g_drive_root_dir_archivedstring

    Root folder in Google Drive for archived companies of this category.

  • require_company_addressboolean

    An address must be entered for companies of this category.

  • require_company_billingboolean

    Billing details must be entered for companies of this category.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/crm/crmcompanycategory \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
[
  {
    "id": 42,
    "name": "Beispiel",
    "description": "Text",
    "deleted": true,
    "global_default": true,
    "enabled_customer_portal": true,
    "g_drive_root_dir": "string",
    "g_drive_root_dir_archived": "string",
    "require_company_address": true,
    "require_company_billing": true
  }
]